lynx (2.8.6-2.1maemo3.0~rzr2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix: update-alternative issue
  * Rebuilt on OBS and tested on n950

 -- Philippe Coval <rzr@gna.org>  Sat, 21 Jan 2012 17:54:39 +0100

lynx (2.8.6-2.1maemo3) diablo; urgency=low

  * Repackaged to the architecture armel

 -- Thomas Pietrowski <thopiekar@googlemail.com>  Thu, 19 Feb 2009 18:31:17 +0100 

lynx (2.8.6-2.1ubuntu3) intrepid; urgency=low

  * Corrected debian/lynx.desktop (LP: #147058)

 -- Nicolai Spohrer <nicolai@xeve.de>  Thu, 21 Aug 2008 01:49:52 +0200

lynx (2.8.6-2.1ubuntu2) intrepid; urgency=low

  * Remove patch file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Jun 2008 00:38:38 +0200

lynx (2.8.6-2.1ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - Fixed missing icon in KDE menu (LP: #159580).
    - debian/patches/01_default-config.dpatch: Updated HomePage to Ubuntu Default
      (Closes LP: #18639).
    - debian/control: Updated Maintainer Field.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Jun 2008 00:23:54 +0200

lynx (2.8.6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop linking against GnuTLS OpenSSL wrapper library, since licenses are
    incompatible (GPLv2 vs. GPLv3+). Closes: #468769

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Jun 2008 17:08:19 +0000

lynx (2.8.6-2ubuntu2) hardy; urgency=low

  * Fixed missing icon in KDE menu (LP: #159580)
  * Updated Standards-Version 

 -- Ralph Janke <txwikinger@ubuntu.com>  Thu, 20 Dec 2007 03:19:13 +0000

lynx (2.8.6-2ubuntu1) gutsy; urgency=low

  * debian/patches/01_default-config.dpatch: Updated HomePage to Ubuntu Default
    (Closes LP: #18639)
  * debian/control: Updated Maintainer Field
  * debian/control: Updated Standards-Version to 3.7.2

 -- Joseph Jackson IV <jjacksoniv@fluxbuntu.org>  Fri, 25 May 2007 09:34:00 -0400

lynx (2.8.6-2) unstable; urgency=high

  * The 'Oh Crap, how did I miss _that_' release.
  * Include the 2.8.5-2-sarge2.2 NMU patch and changelog entry.
    (Missed in the last release, since I goofed, this is priority high to get
    the security fix back out there.)
  * Update and include the 2.8.5-2-sarge2.2 NMU patch as
    03_mailcap_mime_security.dpatch.
  * Ack the NMUs.
    Closes: #396964, #387279, #387383.

 -- Zephaniah E. Hull <warp@debian.org>  Wed, 02 May 2007 03:52:18 -0400

lynx (2.8.6-1) unstable; urgency=low

  * Hijack the package.  I might not be great at it, but I do use it daily.
  * New upstream release.
    Closes: #254515, #137480, #67184, #99400, #132674, #141158, #40435,
    #120451, #157088, #204994, #244871, #248092, #268264, #271048, #318034,
    #343049, #390918, #240237, #313789, #171312, #193205, #252915, #265031,
    #121520, #152810, #188415, #344275, #374388, #184482, #315853
  * Uses the new upstream defaults. Closes: #325478, #147287.
  * Update 01_default-config.dpatch. (Offset changes only.)
  * Update 02_default-key-bindings.dpatch. (Upstream formatting changes.)
  * Kill 03_newer_gnutls.dpatch entirely.
    This was fixed upstream.  But this is also a GPL violation as we only ship
    the patch to configure, and not to configure.in, the source file.
  * Kill 04_CVE-2004-1617.dpatch. (Merged into upstream.)
  * Disable 05_FTBFS_on_GNUHurd_and_GNUkBSD (Upstream changes, file new bug if
    we FTBFS again.)
  * Removed configure arguments:
    --enable-8bit-toupper - Removed, no longer exists.
    --enable-persistent-cookies - Enabled by default.
    --enable-prettysrc - Enabled by default.
    --enable-source-cache - Enabled by default.
    --enable-read-eta - Enabled by default.
  * Added configure arguments:
    --enable-nsl-fork - fork NSL requests, allowing them to be aborted
    --enable-justify-elts - use element-justification logic
  * Update the contents and location of lynx.desktop. Closes: 304989.
  * Other things will be handled by later uploads, patches welcome.

 -- Zephaniah E. Hull <warp@debian.org>  Tue, 01 May 2007 01:43:17 -0400

lynx (2.8.5-2sarge2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Read user configuration from home directory, not current
    working directory. Closes: #396964
    Thanks to Tom Parker for the patch.

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 27 Nov 2006 07:43:17 +0100

lynx (2.8.5-2sarge2.1) unstable; urgency=low

  * NMU.
  * Fixed changelog entry that closes #384725.
  * Used a debian version greater than the one in stable-security.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 14 Sep 2006 09:15:56 +1000

lynx (2.8.5-2sarge1.2) unstable; urgency=high

  * NMU.
  * Fixed CVE-2004-1617 (see DSA-1076-1).
    [debian/patches/04_CVE-2004-1617.dpatch]
    Patch by Thomas E. Dickey <dickey@radix.net>.
    Closes: #384725.
  * Fixed "FTBFS on GNU/Hurd (and GNU/k*BSD)".
    [debian/patches/05_FTBFS_on_GNUHurd_and_GNUkBSD]
    Patch by Robert Millan <rmh@debian.org>.
    Closes: #238057.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Sep 2006 18:41:49 +1000

lynx (2.8.5-2sarge1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Now build-depending on libgnutls-dev so libgnutls11 can be
    removed (Closes: #335765).

 -- David Moreno Garza <damog@debian.org>  Sun, 13 Aug 2006 18:09:34 -0500


lynx (2.8.5-2sarge1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied patch by Ulf H?rnhammar to fix buffer overflow that can lead
    to arbitrary code execution [WWW/Library/Implementation/HTMIME.c,
    CAN-2005-3120]

 -- Martin Schulze <joey@infodrom.org>  Sat,  8 Oct 2005 09:23:11 +0200

lynx (2.8.5-2) unstable; urgency=low

  * 03_newer_gnutls.dpatch: new patch from Torbj?rn Wassberg to add
    '-lgnutls-openssl' to LIBS to allow compilation with gnutls11.
  * debian/control (Build-Depends): s/gnutls7/gnutls11/.  Closes: #264754

 -- James Troup <james@nocrew.org>  Sun, 26 Sep 2004 13:36:41 +0100

lynx (2.8.5-1) unstable; urgency=low

  * New upstream release. Closes: #210948
   * Should now build on the Hurd. Closes: #140682 
   * -auth=id:pw no longer ignored when using -source or -dump. Closes: #156498 
   * Default cookie Path is not correct. Closes: #181614 
   * Can now switch to bookmarks under 'z'. Closes: #111463 
   * Fixes only highlighting the first two lines of a hyperlink.  Closes: #114062, #124361
   * Fixed missing space in german localisation. Closes: #116495 
   * Fixed problems with wiki-login. Closes: #124025 
   * No longer ignores Refresh: in HTTP headers. Closes: #126723
   * Forms now sent using proper encoding. Closes: #156680 
   * Fixes confusion of whereis query inside of long <select>. Closes: #159215 
   * Fixes inconsistent rendering of superscript tag. Closes: #191798 
   * -dump mode now has an option to put "footnote" marks after the hyperlink. Closes: #39905
   * References can optionally follow text in ASCII output. Closes: #40952 
   * Changed footnotes to display after links. Closes: #135442 
   * File uploads are properly supported. Closes: #139948 
   * config.{guess,sub} have been updated. Closes: #217994

   * 03_euc-jp-blink.dpatch, 04_crlf-security.dpatch,
     05_config-guess-sub.dpatch, 06_gnutls-support.dpatch: removed, merged
     upstream.
   * 01_default-config.dpatch: resynced with new config file.
  
  * debian/control (Priority): drop to optional.

  * debian/rules (build): ask configure to use ncursesw instead of
    ncurses for better UTF-8 support.
  * debian/control (Build-Depends): likewise, switch to libncursesw5-dev.
  
  * debian/rules (build): pass --with-bzlib to enable bzip2 decompression.
  * debian/control (Build-Depends): add libbz2-dev.

  * debian/preinst: new file.  Undo diversions from old (potato-era)
    lynx-ssl package.  Closes: #218180, #199755
  * debian/rules (binary-arch): install it.

  * debian/rules (binary-arch): install lynx as 'lynx.stable'.
  * debian/postinst, prerm, postrm: use update-alternatives for lynx.
    Closes: #117347

 -- James Troup <james@nocrew.org>  Thu,  5 Feb 2004 21:27:00 +0000

lynx (2.8.4.1b-6) unstable; urgency=low

  * debian/postrm: don't remove lynx.cfg on purge; noticed by Christoph
    Martin <martin@verwaltung.uni-mainz.de>.  Closes: #38230, #120775

  * debian/control (Build-Depends): s/libgnutls5-dev/libgnutls7-dev/.
    Closes: #202577

  * debian/control (Standards-Version): bump to 3.6.0.

  * 01_default-config.dpatch: set NNTPSERVER to 'news' rather than
    'fania'.  Noticed by Jean Charles Delepine <delepine@u-picardie.fr>.
    Closes: #162819

  * debian/desktop: new file, provided by Ivan E. Moore II
    <rkrusty@tdyc.com>.
  * debian/rules (binary-arch): install debian/desktop.
  * debian/menu: add 'kderemove=1'.  Closes: #96493

 -- James Troup <james@nocrew.org>  Fri, 25 Jul 2003 15:51:36 -0400

lynx (2.8.4.1b-5) unstable; urgency=low

  * 06_gnutls-support.dpatch: new patch from Thomas Dickey
    <dickey@invisible-island.net> to add support for GnuTLS's SSL-compat
    layer.
  * debian/rules (build): pass "--with-gnutls=/usr" to configure.
  * debian/control (Build-Depends): add libgnutls5-dev.
  * debian/control: add Conflicts, Replaces and Provides on lynx-ssl.

  * debian/control (Standards-Version): bump to 3.5.9.0.
  * debian/control: rewrap extended description at normal length.
  * debian/build: depend on patch-stamp rather than patch.

 -- James Troup <james@nocrew.org>  Sat,  3 May 2003 01:02:57 +0100

lynx (2.8.4.1b-4) unstable; urgency=low

  * Move to dpatch; existing non-debian/ changes split into
    01_default-config.dpatch, 02_default-key-bindings.dpatch and
    03_euc-jp-blink.dpatch.
  * debian/rules (build): depend on patch.
  * debian/rules (clean): depend on unpatch.  Remove debian/patched and
    config.log.
  * debian/rules (.PHONY): add 'patch' and 'unpatch'.

  * debian/control (Build-Depends): add dpatch.
  * debian/control (Standards-Version): bump to 3.5.8.0.
  * debian/postinst, debian/prerm: no longer do /usr/doc symlinks.
  * debian/copyright: fix 19995 (sic) typo.

  * Patch from Joey Hess <joeyh@debian.org> for www-browser alternative,
    closes: #169963, #161758.
  * debian/postinst: provide www-browser alternative at priority 50.
  * debian/prerm: de-provide www-browser alternative.

  * debian/menu: patch from Ian Maclaine-cross <ian@ilm.mech.unsw.edu.au>
    to fix path to documentation, closes: #132551.

  * 04_crlf-security.dpatch: new; incorporates Ulf Harnhammar's fix for
    the CRLF URL injection issue as described in DSA-210.  Closes: #173757

  * 05_config-guess-sub.dpatch: Update config.guess and config.sub (both
    to 2003-02-22).

 -- James Troup <james@nocrew.org>  Thu, 27 Feb 2003 18:34:29 +0000

lynx (2.8.4.1b-3) unstable; urgency=low

  * Adopted the package, closes: #130830.
  * debian/control (Standards-Version): bump to 3.5.6.0.
  * debian/copyright: updated.
  * debian/README.Debian: likewise.
  * debian/postinst: remove commented and unused code.
  * debian/prerm: likewise.
  * debian/postrm: homogenize the code.
  * debian/test.html: unused; removed.
  * debian/dhelp: remove.
  * debian/rules: rewritten so I can work with it.
  * src/LYStrings.c, src/HTAlert.c: Apply patch from Hataguchi Takeshi to
    fix blinking problems for euc-jp charset users, thanks to Atsuhito
    Kohda.  Closes: #119510.

 -- James Troup <james@nocrew.org>  Sat, 26 Jan 2002 00:12:32 +0000

lynx (2.8.4.1b-2) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 13:01:16 +0100

lynx (2.8.4.1b-1) unstable; urgency=high

  * New upstream release.
    - This release fixes some crashes in UTF-8 mode.
      (closes: #112727)
    - The CPU loop bug was fixed. (closes: #113298)
  * Compiled without "--enable-file-upload" (there's a big
    security hole in the file uploading code).
  * Changed the default key bindings in src/LYEditmap.c to
    "Bash-like Bindings". (closes: #43223)
  * Compiled without "--enable-nsl-fork". (closes: #112081)
  * Compiled without "--enable-justify-elts".
    (closes: #109737, #111150, #115825)
  * s/Web browser/Web browsers/ in debian/menu. (closes: #80048)

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 21 Oct 2001 22:15:58 +0200

lynx (2.8.4-2) unstable; urgency=low

  * There wre two (commented out) definitions for COLOR:6 in the
    default lynx.cfg. (closes: #109382)

 -- Adrian Bunk <bunk@fs.tum.de>  Mon, 20 Aug 2001 21:45:53 +0200

lynx (2.8.4-1) unstable; urgency=high

  * New maintainer.
  * New upstream release. (closes: #80496)
    This release fixes the following bugs:
    - %s, %t, %{charset} and %{encoding} substitutions for
      mailcap commands are now implemented. (closes: #21096)
    - The "<> in javascript causes premature </script>" problem
      is fixed. (closes: #65151)
    - A problem with the length of form fields is fixed.
      (closes: #68542)
    - The Japanese message catalog is now included.
      (closes: #63641)
    - The CPU-loop seems to be fixed. (closes: #25968)
  * /etc/lynx.cfg is now a conffile. (closes: #40482)
  * The default startfile is now the local helpfile (and there's
    no longer a question in the postinst).
    (closes: #105559, #83249, #83784)
  * Disable USE_MOUSE in the default configuration.
    (closes: #42859)
  * Set GLOBAL_EXTENSION_MAP and PERSONAL_EXTENSION_MAP in the
    default lynx.cfg. (closes: #94604)
  * Compiled with ncurses instead of slang.
  * Compiled with "--enable-warnings".
  * Compiled with "--enable-color-style".
  * Compiled with "--enable-default-colors". (closes: #45803)
  * Compiled with "--enable-file-upload". (closes: #56639)
  * Compiled with "--enable-ipv6".
  * Compiled with "--enable-justify-elts".
  * Compiled with "--enable-nested-tables".
  * Compiled with "--enable-read-eta".
  * Updated debian/copyright. (closes: #63638)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 18 Aug 2001 16:22:26 +0200

lynx (2.8.3-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Update config.{guess,sub} to allow building on SH and others. (Closes: #95763)
  * Set DEFAULT_EDITOR in lynx.cfg to /usr/bin/sensible-editor. (Closes: #94605)

 -- Andr? Dahlqvist <andre@debian.org>  Wed, 13 Jun 2001 05:45:56 +0200

lynx (2.8.3-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Recompiled against sid's version of slang1.

 -- Matthew Danish <mdanish@andrew.cmu.edu>  Mon, 23 Apr 2001 00:14:58 -0400

lynx (2.8.3-1.3) unstable; urgency=low

  * NMU
  * Removed check for already done configuration in debian/config
    so that dpkg-recofigure will be able to do its work. (Closes: #54237)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 21 Apr 2001 17:42:02 -0300

lynx (2.8.3-1.2) unstable; urgency=low

  * NMU
  * Removed /etc/lynx.cfg from conffiles as it is handled by postinst
    /etc/lynx-ssl.cfg is not there so: (Closes: #40482, #67836)
  * Added german and pt_BR translations for the debconf template,
    thanks to <Joerg.Rieger@informatik.med.uni-giessen.de> and
    Gustavo Noronha Silva (KoV)" <kov@debian.org> there're 2 other
    pt_BR and de templates wich I'll discard and close the bug 
    (Closes: #83925, #83926, #92841, #93227) 
  * closes french template translation bug as it was already added
    in a earlier upload (Closes: #64785)
  * Added hint to lynx in debian/menu (Closes: #80048)
  * Removed about_wml directory from docdir as it was empty
    (Closes: #64785)
  * Updated debian/rules to use debian/lynx instead of debian/tmp
  * Applied patches to upgrade to version lynx2.8.3rel.1c

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 21 Apr 2001 15:57:30 -0300

lynx (2.8.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed bug preventing -dump when TERM=dumb. (Closes: #64632)
  * Lynx will no longer try to write file on full disk. (Closes: #63391)
  * Changed deprecated 'isdefault' to 'seen' in debconf config.
  * Fixed bug in intl/makefile.in, it did not remove libintl.h. (Closes: #63999)
  * Fixed color scheme. (Closes: #32959)
  * Added Swedish translation to templates. (Closes: #83482)
  * Added French translation to templates. (Closes: #83767)
  * Added Spanish translation to templates. (Closes: #92373)
  * Fixed original source URL in copyright file. (Closes: #74551)
  * Upload sponsored by Lenart Janos <ocsi@debian.org>.

 -- Matthew Danish <mdanish@andrew.cmu.edu>  Sat, 14 Apr 2001 14:12:43 -0400

lynx (2.8.3-1) frozen unstable; urgency=medium

  * Upgraded to new upstream release. Buffer overflows fixed. (Closes: #59191)
  * Disabled PREPEND_BASE_TO_SOURCE in default lynx.cfg. (Closes: #63000)
  * Probably also fixes a bunch of other bugs, but I'll go through 
    the bug list in -2.

 -- Christian Hudon <chrish@debian.org>  Mon,  1 May 2000 21:54:42 -0400

lynx (2.8.2-6) frozen unstable; urgency=low

  * Disabled dhelp. (Closes: #55926, #56360)

 -- Christian Hudon <chrish@debian.org>  Thu,  3 Feb 2000 22:03:23 -0500

lynx (2.8.2-5) unstable; urgency=low

  * Updated Source-Depends line. (Closes: #54256)
  * Applied patch from Joey Hess to work around unknown debconf error.
    (Closes: #53999, #54257, #54790)

 -- Christian Hudon <chrish@debian.org>  Wed, 12 Jan 2000 20:43:55 -0500

lynx (2.8.2-4) unstable; urgency=low

  * Updated to standards version 3.1.1.1
  * Added debconf support.

 -- Christian Hudon <chrish@debian.org>  Fri, 31 Dec 1999 14:50:27 -0500

lynx (2.8.2-3) unstable; urgency=medium

  * Removed mailcap processing order patch, since it clashed with
    upstream patch. (closes: #41199)
  * Added ja.po Japanese translation of lynx and enabled a few more
    switches (--enable-nls, --enable-source-cache and --enable-prettysrc).
    (closes: #40958)
  * Install more files from samples directory. (closes: #41153)
  * Applied upstream patch to close telnet: security hole. (closes: #44001)
  * Removed 'NO_STRING_INLINES' kludge in debian/rules.

 -- Christian Hudon <chrish@debian.org>  Mon,  6 Sep 1999 22:39:47 -0400

lynx (2.8.2-2) unstable; urgency=medium

  * Recompiled with new slang1 to fix dependency bug.

 -- Christian Hudon <chrish@debian.org>  Thu, 26 Aug 1999 00:01:42 -0400

lynx (2.8.2-1) unstable; urgency=low

  * New upstream version. Will fix Debian bugs in next release.

 -- Christian Hudon <chrish@debian.org>  Sun, 13 Jun 1999 22:15:03 -0400

lynx (2.8.1-7) unstable; urgency=low

  * Fixed problem in postinst that caused spurious error message
    to be printed when /etc/news/server did not exist. 
    (closes: #37720, 37773)

 -- Christian Hudon <chrish@debian.org>  Sun, 16 May 1999 22:54:48 -0400

lynx (2.8.1-6) unstable; urgency=low

  * Set default editor in lynx.cfg to /usr/bin/sensible-editor. 
    (closes: #37509, #14728)
  * Applied patch from Peter Samuelson to fix problems with postinst.
    (closes: #31638)

 -- Christian Hudon <chrish@debian.org>  Tue, 11 May 1999 21:05:51 -0400

lynx (2.8.1-5) unstable; urgency=low

  * Remove prcs files before packaging lynx for upload. (closes: #36962)
  * Applied upstream patch to fix multiline <i> bug, etc. (closes #33158)

 -- Christian Hudon <chrish@debian.org>  Mon, 10 May 1999 20:55:30 -0400

lynx (2.8.1-4) unstable; urgency=low

  * Filter out lines that start with a '#' in /etc/news/server
    (closes: #31638).
  * Fixed dhelp support (closes: #34479).
  * Recompiled with glibc 2.1.1

 -- Christian Hudon <chrish@debian.org>  Sun,  4 Apr 1999 22:27:49 -0400

lynx (2.8.1-3) frozen unstable; urgency=medium

  * Applied patch from OpenBSD to prevent lynx captive users from 
    spawning a shell using rlogin/telnet URLs.
  * Postinst now checks that the url given is absolute. (Closes bug #29177)
  * Updated README.Debian file. (Closes bug #30488)
  * Added dhelp support. (Closes bug #31159)
  * Included some more files from the lynx source in /usr/doc/lynx
    (Closes bug #30489)
  * Applied upstream bugfix patches. (Closes bug #30487)
  * Version 2.8.1 includes many small security fixes over 2.8 
    (Closes bug #31985)

 -- Christian Hudon <chrish@debian.org>  Sun, 17 Jan 1999 21:27:04 -0500

lynx (2.8.1-2) unstable; urgency=low

  * Build LYMainLoop.c with -D__NO_STRING_INLINES on powerpc to work around
    egcs bug. (closes bug #29750)
  * Modified postint so that lynx can be installed non-interactively.
    (closes bug #28893).
  * Removed unnecessary references to VMS in lynx.cfg
  * Enabled use_mouse option by default.
  * Lynx now obeys TMPDIR. (closes bug #21878)
  * Documented how to set colors on a per-user basis in README.Debian
    (partially solves bug #29469).
  * Also closed a bunch of other bug reports that were fixed
    in the 2.8 series.
  * Added "lynx -dump" entry with copiousoutput in mailcap for mutt autoview.

 -- Christian Hudon <chrish@debian.org>  Sat, 21 Nov 1998 22:00:32 -0500

lynx (2.8.1-1) unstable; urgency=low

  * New upstream version (fixes bug #28964)
  * Enabled persistent cookies.
  * Other bugfixes will go into next Debian release.

 -- Christian Hudon <chrish@debian.org>  Wed, 11 Nov 1998 22:16:31 -0500

lynx (2.8-4) frozen unstable; urgency=low

  * Recompiled with slang1.

 -- Christian Hudon <chrish@debian.org>  Sun, 18 Oct 1998 19:37:40 -0400

lynx (2.8-3) unstable; urgency=low

  * Upgraded to latest mime-support (fixes bug #12663, 23740, 24806)

 -- Christian Hudon <chrish@debian.org>  Wed, 14 Oct 1998 20:52:06 -0400

lynx (2.8-2) frozen unstable; urgency=HIGH

  * Applied patch to fix buffer overflows in LYMail.c (fixes bug #22165, 22154)
  * Removed doscs/CHANGES2-10 files that had been used for testing
    of debian/rules.  
  * Added section and priority to control file (fixes bug# 20420).
  * Includes FSSTND-compliant compiled-in defaults for mime.types
    and mailcap. (fixes bug #21441).
  * Lynx now uses the first entry in the mailcap instead of the last one.
    (fixes bugs #7595, 10247)

 -- Christian Hudon <chrish@debian.org>  Sun, 31 May 1998 00:55:54 -0400

lynx (2.8-1) unstable; urgency=low

  * Upgraded to latest release (Fixes bug #19526)

 -- Christian Hudon <chrish@debian.org>  Thu, 12 Mar 1998 13:57:49 -0500

lynx (2.7.2-1) unstable; urgency=low

  * SECURITY FIX: postinst now avoids using /tmp (Fixes bug #11771)
  * Upgraded to new upstream release. (Fixes bug #16444)
  * Recompiled for libc6. (Fixes bug #11704)
  * Enabled multi-bookmarks support in userders.h
  * Corrected tar path. (Fixes bug #12005)
  * Compiled with -DNSL_FORK, so that users can abort hostname lookups
    with the 'z' key. (Fixes bug #11586)
  * Modified postinst so that prompting doesn't occur on abort-upgrade, etc.
    (Fixes bug #12630)
  * Postinst now handles URL with spaces better.. (Fixes bug #13137)
  * Lynx now properly resets idle time (Fixes bug #11582)

 -- Christian Hudon <chrish@debian.org>  Fri, 25 Feb 1998 17:22:22 -0500

lynx (2.7.1-3) stable unstable; urgency=HIGH

  * SECURITY FIX: applied patch from Foteos Macrides to prevent captive lynx
    users from executing arbitrary commands.
  * Applied one-line libc6 patch. (Fixes bug 8583)
  * Applied patch from John E. Davis to correct screen redraw problem. 
    (Fixes bug 6035 and 9406)
  * Applied patch from Laura Eaves to fix 'underlined links' problem. 
    (Fixes bug 7846)
  * Applied patch from John E. Davis to fix "Control-Z on Unix can cause
    aberrant behavior" bug.
  * Applied patches from Foteos Macrides to fix bugs 8063 (lynx saves gzipped
    files as not gzipped) and 7820 (lynx misinperprets ^G on quit 
    confirmation).
  * Added /usr/doc/lynx/README.Debian explaining how to fix 'colorless lynx'
    problem (closes bug 10482) and how to get white background on black 
    (closes bug 9320).
  * Added location of upstream source to copyright file (fixes bug 11101)

 -- Christian Hudon <chrish@debian.org>  Mon, 14 Jul 1997 21:15:42 +0000

lynx (2.7.1-2) stable; urgency=medium

  * Oops! Last version that was uploaded to stable depended on slang library
    available only from frozen/unstable! Recompiled with slang packages
    from stable.  (Fixes 9958, 9968)

 -- Christian Hudon <chrish@debian.org>  Sun, 25 May 1997 00:04:55 +0000

lynx (2.7.1-1) stable frozen unstable; urgency=HIGH

  * Set TEMP_SPACE to ~/ as a temporary fix for the lynx /tmp 
    security problem! (Lynx will happily follow symlinks found in /tmp...)
  * Upgraded to upstream 2.7.1 bugfix release (Lynx 2.7 + upstream bugfix
    patch + two more bugs fixed).
  * Fixed typo in install-mime call of postinst (fixes 9213).
  * Does not prompt user to enter their email address when sending mail
    anymore.
  * Applied patch from John E. Davis that fixes a buglet.
  * Reenabled dired support, which had been disabled by mistake (fixes 8970).
  * Applied patch from Fotoes Macrides that fixes two buglets discovered by
    Rick Mallett during a Purify run.
  * Made sure that lynxprog, lynxexec and lynxcgi are disabled in default 
    lynx.cfg.

 -- Christian Hudon <chrish@debian.org>  Fri, 16 May 1997 00:02:23 -0400

lynx (2.7-2) frozen unstable; urgency=low

  * Applied upstream bug fix patches for lynx 2.7 (Fixes bug 8090)
  * Lynx now properly handles %-encoded characters in mailto URLs. (Fixes 4225)
  * Lynx registers itself in /etc/mailcap for text/html (Fixes 7769, 7919)
  * Set lynx.cfg default colors to black background. (Fixes 7866)
  * Fixed bug 6120 (lynx can't find image/jpeg viewer).
  * Fixed bug 4005 (lynx thinks *.deb is text/plain in ftp).
  * Set compile-time XLOADIMAGE_COMMAND to "" since 
    a) there's no garantee that xli/xv/whatever is installed
    b) Debian's mailcap is populated automatically, so there's not much 
       of a need for a default image viewer.
    Closes bug 4909 and 4918
  * Moved Lynx help files to /usr/doc but left them uncompressed, otherwise 
    lynx's help function will break. (Fixes 8003)
  * Lynx manual is now accessible under dwww.
  * Removed VMS-related documentation from /usr/doc/lynx
  * Lynx CHANGES* files are now installed as /usr/doc/lynx/changelog.gz

 -- Christian Hudon <chrish@debian.org>  Sun, 30 Mar 1997 23:48:14 -0500

lynx (2.7-1) unstable; urgency=low

  * New upstream version.
  * Added support for 'menu' package. Lynx menu entry is installed in Apps/Net.
  * Compiled with slang instead of ncurses to get color support.

 -- Christian Hudon <chrish@debian.org>  Wed, 26 Feb 1997 23:19:28 -0500

lynx (2.6-2) unstable; urgency=low

  * Added install-fvwm2menu support from Lars Wirzenius's patch.
    (Until a more general 'install-menu' script comes along.)
  * /etc/lynx.cfg is now removed when the lynx package is purged.
  * lynx -dump has no problems with proxies now. (2964)
  * Lynx postinst now attempts to pick a reasonable default for 
    the default homepage (3469)

 -- Christian Hudon <chrish@debian.org>  Sat, 19 Oct 1996 21:52:14 -0400

lynx (2.6-1) unstable; urgency=medium

  * Upgraded to latest upstream version. (4434, 2295)
  * Converted to new source package format.
  * Compiled in lynxexec/lynxprog/lynxcgi extensions. (2965)
  * Enabled access to dot files. (3105)
  * Version number such that dselect will not think 
    we're downgrading. (3386)
  * Removed extraneous space in extended description. (3606)

 -- Christian Hudon <chrish@debian.org>  Tue, 24 Sep 1996 17:49:30 -0400
